OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
XSControl

# XSControl_TransferWriter Class Reference

TransferWriter gives help to control transfer to write a file
after having converted data from Cascade/Imagine
It works with a Controller (which itself can work with an
Actor to Write) and a FinderProcess. It records results and
checks
.

`#include <XSControl_TransferWriter.hxx>`

## Public Member Functions
Standard_EXPORT | XSControl_TransferWriter ()
| Creates a TransferWriter, empty, ready to run with an empty FinderProcess (but no controller, etc) .
Standard_EXPORT Handle_Transfer_FinderProcess | FinderProcess () const
| Returns the FinderProcess itself .
Standard_EXPORT void | SetFinderProcess (const Handle(Transfer_FinderProcess)&FP)
| Sets a new FinderProcess and forgets the former one .
Standard_EXPORT Handle_XSControl_Controller | Controller () const
| Returns the currently used Controller .
Standard_EXPORT void | SetController (const Handle(XSControl_Controller)&ctl)
| Sets a new Controller, also sets a new FinderProcess .
Standard_EXPORT void | Clear (const Standard_Integer mode)
| Clears recorded data according a mode 0 clears FinderProcess (results, checks) -1 create a new FinderProcess .
Standard_EXPORT Standard_Integer | TransferMode () const
| Returns the current Transfer Mode (an Integer) It will be interpreted by the Controller to run Transfers This call form could be later replaced by more specific ones (parameters suited for each norm / transfer case) .
Standard_EXPORT void | SetTransferMode (const Standard_Integer mode)
| Changes the Transfer Mode .
Standard_EXPORT void | PrintStats (const Standard_Integer what, const Standard_Integer mode=0) const
| Prints statistics on current Trace File, according what,mode See PrintStatsProcess for details .
Standard_EXPORT Standard_Boolean | RecognizeTransient (const Handle(Standard_Transient)&obj)
| Tells if a transient object (from an application) is a valid candidate for a transfer to a model Asks the Controller (RecognizeWriteTransient) If <obj> is a HShape, calls RecognizeShape .
Standard_EXPORT IFSelect_ReturnStatus | TransferWriteTransient (const Handle(Interface_InterfaceModel)&model, const Handle(Standard_Transient)&obj)
| Transfers a Transient object (from an application) to a model of current norm, according to the last call to SetTransferMode Works by calling the Controller Returns status : =0 if OK, >0 if error during transfer, <0 if transfer badly initialised .
Standard_EXPORT Standard_Boolean | RecognizeShape (const TopoDS_Shape &shape)
| Tells if a Shape is valid for a transfer to a model Asks the Controller (RecognizeWriteShape) .
Standard_EXPORT IFSelect_ReturnStatus | TransferWriteShape (const Handle(Interface_InterfaceModel)&model, const TopoDS_Shape &shape)
| Transfers a Shape from CasCade to a model of current norm, according to the last call to SetTransferMode Works by calling the Controller Returns status : =0 if OK, >0 if error during transfer, <0 if transfer badly initialised .
Standard_EXPORT Interface_CheckIterator | CheckList () const
| Returns the check-list of last transfer (write), i.e. the check-list currently recorded in the FinderProcess .
Standard_EXPORT Interface_CheckIterator | ResultCheckList (const Handle(Interface_InterfaceModel)&model) const
| Returns the check-list of last transfer (write), but tries to bind to each check, the resulting entity in the model instead of keeping the original Mapper, whenever known .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT void | PrintStatsProcess (const Handle(Transfer_FinderProcess)&TP, const Standard_Integer what, const Standard_Integer mode=0)
| Forecast to print statitics about a FinderProcess .
## Private Attributes
Handle_XSControl_Controller | theController
Handle_Transfer_FinderProcess | theTransferWrite
Standard_Integer | theTransferMode

## Constructor & Destructor Documentation

Standard_EXPORT XSControl_TransferWriter::XSControl_TransferWriter | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Interface_CheckIterator XSControl_TransferWriter::CheckList | ( |  | ) | const

Standard_EXPORT void XSControl_TransferWriter::Clear | ( | const Standard_Integer | mode | ) |

Standard_EXPORT Handle_XSControl_Controller XSControl_TransferWriter::Controller | ( |  | ) | const

Standard_EXPORT Handle_Transfer_FinderProcess XSControl_TransferWriter::FinderProcess | ( |  | ) | const

Standard_EXPORT const XSControl_TransferWriter::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void XSControl_TransferWriter::PrintStats | ( | const Standard_Integer | what,
|  | const Standard_Integer | mode = `0`
| ) | const

static Standard_EXPORT void XSControl_TransferWriter::PrintStatsProcess | ( | const Handle(Transfer_FinderProcess)& | TP,
|  | const Standard_Integer | what,
|  | const Standard_Integer | mode = `0`
| ) | `[static]`

Standard_EXPORT Standard_Boolean XSControl_TransferWriter::RecognizeShape | ( | const TopoDS_Shape & | shape | ) |

Standard_EXPORT Standard_Boolean XSControl_TransferWriter::RecognizeTransient | ( | const Handle(Standard_Transient)& | obj | ) |

Standard_EXPORT Interface_CheckIterator XSControl_TransferWriter::ResultCheckList | ( | const Handle(Interface_InterfaceModel)& | model | ) | const

Standard_EXPORT void XSControl_TransferWriter::SetController | ( | const Handle(XSControl_Controller)& | ctl | ) |

Standard_EXPORT void XSControl_TransferWriter::SetFinderProcess | ( | const Handle(Transfer_FinderProcess)& | FP | ) |

Standard_EXPORT void XSControl_TransferWriter::SetTransferMode | ( | const Standard_Integer | mode | ) |

Standard_EXPORT Standard_Integer XSControl_TransferWriter::TransferMode | ( |  | ) | const

Standard_EXPORT IFSelect_ReturnStatus XSControl_TransferWriter::TransferWriteShape | ( | const Handle(Interface_InterfaceModel)& | model,
|  | const TopoDS_Shape & | shape
| ) |

Standard_EXPORT IFSelect_ReturnStatus XSControl_TransferWriter::TransferWriteTransient | ( | const Handle(Interface_InterfaceModel)& | model,
|  | const Handle(Standard_Transient)& | obj
| ) |

## Field Documentation

Handle_XSControl_Controller XSControl_TransferWriter::theController`[private]`

Standard_Integer XSControl_TransferWriter::theTransferMode`[private]`

Handle_Transfer_FinderProcess XSControl_TransferWriter::theTransferWrite`[private]`

The documentation for this class was generated from the following file:

- XSControl_TransferWriter.hxx